Subject: Re: bug#6665: rgrep does not work on Windows

From: Lennart Borgman <[email-masked]>
Date: Wed, 17 Nov 2010 14:17:41 +0100

On Wed, Nov 17, 2010 at 1:26 PM, Colin Fraizer <[email-masked]> wrote:
>
> On July 19, 2010, Eli Zaretskii wrote:
>
>>I think this bug report should be closed, as it is not something Emacs
> can fix.
>
> I believe Mr. Zaretskii is correct that Emacs is not the cause of the
> problem. It appears to be a bug in the GnuWin32 and/or MSys port of
> "find". *However*, I would argue that rgrep constructs a bogus find
> command anyway and that *that* should be fixed. Specifically, it
> creates

We discussed some time ago the possibility to use "grep -r" for rgrep.
It was rejected, but I have implemented this in the library w32-grep
which is part of my patched Emacs (i.e. EmacsW32).